Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.management.oss.impl.pm.opstatus
Class OperationalStatusMonitorByClassesValueImpl

    java.lang.Object
      com.sun.management.oss.impl.AttributeAccessImpl
          com.sun.management.oss.impl.ManagedEntityValueImpl
              com.sun.management.oss.impl.pm.opstatus.PmManagedEntityValueImpl
                  com.sun.management.oss.impl.pm.opstatus.OperationalStatusMonitorValueImpl
                      com.sun.management.oss.impl.pm.opstatus.OperationalStatusMonitorByClassesValueImpl

All Implemented Interfaces:
  AttributeAccess, java.lang.Cloneable, ManagedEntityValue, OperationalStatusMonitorByClassesValue, OperationalStatusMonitorValue, java.io.Serializable, SerializerFactory

public class OperationalStatusMonitorByClassesValueImpl
extends OperationalStatusMonitorValueImpl
implements OperationalStatusMonitorByClassesValue

Title: JSR090 Reference Implementation Description: Copyright: Copyright 2001 Ericsson Radio Systems AB Company: Ericsson

Version:
  0.2
Author:
  Andreas Jirven, Anna Eriksson, Ali Feizabadi, Hooman Tahamtani, Katarina Wahlstr?m
See Also:
  Serialized Form

Field Summary

Fields inherited from interface com.sun.management.oss.pm.opstatus.OperationalStatusMonitorByClassesValue
`MEASUREMENT_ATTRIBUTES, OBSERVABLE_OBJECT_CLASSES, SCOPE, VALUE_TYPE`

Fields inherited from interface com.sun.management.oss.pm.opstatus.OperationalStatusMonitorValue
`GRANULARITY_PERIOD, NAME, REPORT_BY_EVENT, REPORT_BY_FILE, REPORT_FORMAT, SCHEDULE, STATE`

Fields inherited from interface com.sun.management.oss.ManagedEntityValue
`KEY`

Constructor Summary
`OperationalStatusMonitorByClassesValueImpl()`

Method Summary
`java.lang.Object` | `clone()` Return a deep copy of this value.
`java.lang.String[]` | `getObservedObjectClasses()` Returns a list of observable object class names.
`javax.management.ObjectName` | `getScope()` Returns the JMX pattern the job is using.
`OperationalStatusAttributeDescriptor` | `makeOperationalStatusAttributeDescriptor()` Creates a new instance of the OperationalStatusAttributeDescriptor interface.
`void` | `setObservedObjectClasses(java.lang.String[] observedObjectClasses)` Sets the observable object classes that shall be monitored.
`void` | `setScope(javax.management.ObjectName base)` Sets the JMX pattern matching the object names the job must handle.

Methods inherited from class com.sun.management.oss.impl.pm.opstatus.OperationalStatusMonitorValueImpl
`getGranularityPeriod, getName, getOperationalStatusMonitorKey, getReportByEvent, getReportByFile, getReportFormat, getSchedule, getState, makeOperationalStatusMonitorKey, makeReportFormat, makeSchedule, setGranularityPeriod, setManagedEntityKey, setName, setOperationalStatusMonitorKey, setReportByEvent, setReportByFile, setReportFormat, setSchedule, setState`

Methods inherited from class com.sun.management.oss.impl.pm.opstatus.PmManagedEntityValueImpl
`getSupportedSerializerTypes, makeSerializer`

Methods inherited from class com.sun.management.oss.impl.ManagedEntityValueImpl
`getLastUpdateVersionNumber, getManagedEntityKey, getSettableAttributeNames, makeManagedEntityKey, setLastUpdateVersionNumber`

Methods inherited from class com.sun.management.oss.impl.AttributeAccessImpl
`getAllPopulatedAttributes, getAttributeNames, getAttributeValue, getAttributeValues, getPopulatedAttributeNames, getSupportedOptionalAttributeNames, isFullyPopulated, isPopulated, setAttributeValue, setAttributeValues, unpopulateAllAttributes, unpopulateAttribute`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.sun.management.oss.pm.opstatus.OperationalStatusMonitorValue
`getGranularityPeriod, getName, getOperationalStatusMonitorKey, getReportByEvent, getReportByFile, getReportFormat, getSchedule, getState, makeOperationalStatusMonitorKey, makeReportFormat, makeSchedule, setGranularityPeriod, setName, setOperationalStatusMonitorKey, setReportByEvent, setReportByFile, setReportFormat, setSchedule, setState`

Methods inherited from interface com.sun.management.oss.ManagedEntityValue
`getLastUpdateVersionNumber, getManagedEntityKey, getSettableAttributeNames, makeManagedEntityKey, setLastUpdateVersionNumber, setManagedEntityKey`

Methods inherited from interface com.sun.management.oss.AttributeAccess
`getAllPopulatedAttributes, getAttributeNames, getAttributeValue, getAttributeValues, getPopulatedAttributeNames, getSupportedOptionalAttributeNames, isFullyPopulated, isPopulated, setAttributeValue, setAttributeValues, unpopulateAllAttributes, unpopulateAttribute`

Methods inherited from interface com.sun.management.oss.SerializerFactory
`getSupportedSerializerTypes, makeSerializer`

Constructor Detail

### OperationalStatusMonitorByClassesValueImpl

    public OperationalStatusMonitorByClassesValueImpl()

Method Detail

### clone

    public java.lang.Object clone()

  Description copied from interface: `ManagedEntityValue`
  Return a deep copy of this value.

  Specified by:
    `clone` in interface `ManagedEntityValue`
  Overrides:
    `clone` in class `OperationalStatusMonitorValueImpl`
  Returns:
    String The name of the measurement job.

### getObservedObjectClasses

    public java.lang.String[] getObservedObjectClasses()
                                                throws java.lang.IllegalStateException

  Returns a list of observable object class names.

  Specified by:
    `getObservedObjectClasses` in interface `OperationalStatusMonitorByClassesValue`
  Returns:
    String[] List of observable object class names.
  Throws:
    `java.lang.IllegalStateException` - Is raised if the attribute is not populated.
  See Also:
    `OperationalStatusMonitorByClassesValue.setObservedObjectClasses(java.lang.String[])`

### setObservedObjectClasses

    public void setObservedObjectClasses(java.lang.String[] observedObjectClasses)
                                  throws java.lang.IllegalArgumentException

  Sets the observable object classes that shall be monitored.

  The observable object classes will be validated when the value object is passed to the performance monitor bean.

  Specified by:
    `setObservedObjectClasses` in interface `OperationalStatusMonitorByClassesValue`
  Parameters:
    `observedObjectClasses` - List of observable object class names.
  Throws:
    `java.lang.IllegalArgumentException` - Is raised if the input parameters are not valid.
  See Also:
    `OperationalStatusMonitorByClassesValue.getObservedObjectClasses()`

### getScope

    public javax.management.ObjectName getScope()
                                         throws java.lang.IllegalStateException

  Returns the JMX pattern the job is using.

  Specified by:
    `getScope` in interface `OperationalStatusMonitorByClassesValue`
  Returns:
    The JMX pattern for the job.
  Throws:
    `java.lang.IllegalStateException` - Is raised if the attribute is not populated.
  See Also:
    `setScope(javax.management.ObjectName)`

### setScope

    public void setScope(javax.management.ObjectName base)
                  throws java.lang.IllegalArgumentException

  Sets the JMX pattern matching the object names the job must handle.

  Specified by:
    `setScope` in interface `OperationalStatusMonitorByClassesValue`
  Parameters:
    `base` - The JMX pattern for selecting objects.
  Throws:
    `java.lang.IllegalArgumentException` - Is raised if the input parameters are not valid.
  See Also:
    `getScope()`

### makeOperationalStatusAttributeDescriptor

    public OperationalStatusAttributeDescriptor makeOperationalStatusAttributeDescriptor()

  Description copied from interface: `OperationalStatusMonitorByClassesValue`
  Creates a new instance of the OperationalStatusAttributeDescriptor interface.

  Specified by:
    `makeOperationalStatusAttributeDescriptor` in interface `OperationalStatusMonitorByClassesValue`
  Returns:
    OperationalStatusAttributeDescriptor The created object. The object is empty.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD